
/**
 * @file DialogRuntime.cpp
 * @brief Implementation of class DialogRuntime
 */

/**********************************************************************

  Created: 03 nov. 2002

    Copyright (C) 2002 @SAURON

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
    02111-1307 USA

**********************************************************************/
// $Id$

#include "DialogRuntime.h"

DialogRuntime::DialogRuntime(HWND hDlg,
                             int w,
                             int h)
    : SimpleContainer(0, w, h),
      _hDlg(hDlg)
{
}

DialogRuntime::~DialogRuntime()
{
}

void DialogRuntime::resize()
{
    RECT r;
    GetClientRect(_hDlg, &r);
    adjust(0,
           0,
           r.right,
           r.bottom);

    RedrawWindow(_hDlg,
                 NULL,
                 NULL,
                 RDW_ALLCHILDREN | RDW_ERASE | RDW_INVALIDATE);
}

static const char* _rcsid_DialogRuntime __attribute__((unused)) = "$Id$";
