
/**
 * @file IDGen.cpp
 * @brief Implementation of class IDGen
 */

/**********************************************************************

  Created: 03 nov. 2002

    Copyright (C) 2002 @SAURON

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
    02111-1307 USA

**********************************************************************/
// $Id$

#include "IDGen.h"

using namespace std;

int IDGen::_lastVal = 100;

int IDGen::getNewID()
{
    return _lastVal++;
}

void IDGen::setStartID(int s)
{
    _lastVal = s;
}

IDGen::IDGen()
   : _val(getNewID())
{
}

IDGen::~IDGen()
{
}

void IDGen::setName(const char *n)
{
    _name = n;
}

const char *IDGen::getName()
{
    return _name.c_str();
}

int IDGen::getValue()
{
    return _val;
}

static const char* _rcsid_IDGen __attribute__((unused)) = "$Id$";
