
/**
 * @file SAXParser.h
 * @brief Declaration of class SAXParser
 */

/**********************************************************************

  Created: 30 oct. 2002

    Copyright (C) 2002 laheurte@LAHEURTE

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
    02111-1307 USA

**********************************************************************/
// $Id$

#ifndef _SAXPARSER_H
#define _SAXPARSER_H

#include <string>
#include <map>

class SAXParser
{
  public:
    virtual void startElement(const std::string&,
                              const std::map<std::string, std::string>&) {};

    virtual void endElement(const std::string&) {};
    virtual void text(const std::string&) {};

    void parse(const std::string&);
};

#endif /* _SAXPARSER_H */
