
/**
 * @file Visitor.h
 * @brief Declaration of class Visitor
 */

/**********************************************************************

  Created: 03 nov. 2002

    Copyright (C) 2002 @SAURON

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
    02111-1307 USA

**********************************************************************/
// $Id$

#ifndef _VISITOR_H
#define _VISITOR_H

class Visited;
class SimpleContainer;
class Box;
class ContainerControlRC;
class ControlRC;
class DialogRC;

class Visitor
{
  public:
    virtual void visit(Visited*) {};
    virtual void visit(SimpleContainer*) {};
    virtual void visit(Box*) {};
    virtual void visit(ContainerControlRC*) {};
    virtual void visit(ControlRC*) {};
    virtual void visit(DialogRC*) {};
};

#endif /* _VISITOR_H */
